Description
This call enables you to retrieve the data attributes for a selected set of events. You can fetch the event track on the map for the selected events and the landfall characteristics.
Parameters
| Name | Description | Data Type |
| catalogId | Represents the unique indentifier for the catalog | integer (int32) |
| api-version | Indicates the current API version | string |
Request (application/json-patch+json)
The request body is of type QueryByEventIdsRequest.
Contains a list of unique identifiers for the set of events in the request
Request (application/json)
The request body is of type QueryByEventIdsRequest.
Contains a list of unique identifiers for the set of events in the request
Request (text/json)
The request body is of type QueryByEventIdsRequest.
Contains a list of unique identifiers for the set of events in the request
Request (application/*+json)
The request body is of type QueryByEventIdsRequest.
Contains a list of unique identifiers for the set of events in the request
200 Response
The response body is of type Array[LandfallAttributesResult].
Returns a set of events with the LandFall attribute coordinates
Overview
 |
Array[LandfallAttributesResult]
 |
LandfallAttributesResult
Represents result type for landfall attribute
 |
industryLoss : number (double)
|
 |
catalogType : string
|
 |
rowNum : integer (int64)
Specifies the row identifer
|
 |
totalRows : integer (int64)
Indicates the total number of rows of landfall events
|
 |
totalEvents : integer (int64)
Indicates the total number of events
|
 |
eventId : integer (int64)
Unique identifier of an event
|
 |
year : integer (int64)
Specifies the year in the catalog when the event occurred
|
 |
numberOfLandfalls : integer (int64)
Specifies the number of landfalls
|
 |
landfallIndex : integer (int64)
Indicates the point at which a location experiences stongest winds at the landfall
|
 |
longitude : number (double)
Indicates the longitude at which the center of the eye crosses the coastline
|
 |
latitude : number (double)
Specifies the latitude at which the center of the eye crosses the coastline
|
 |
centralPressure : number (double)
Specifies the central pressure attribute
|
 |
radius : number (double)
The radius of maximum winds, Rmax is the radial distance from the storm's center, or eye, to the radius where the highest cyclonic wind speeds occur.
|
 |
forwardSpeed : number (double)
Specifies the forward speed or translational speed is the rate at which a hurricane moves from point to point along its track
|
 |
angle : number (double)
Specifies the angle attribute. The measure of storm track angle measured clockwise (+) or counter-clockwise, where zero represents due north.
|
 |
velocity : number (double)
Specifies the velocity attribute
|
 |
tideHeight : number (double)
Specifies the tide height attribute
|
|
|
Fault Responses
| Fault | Description |
| 400 | This fault returns a response body of type ProblemDetails. Bad Request |
| 401 | This fault returns a response body of type ProblemDetails. Unauthorized |
See Also